=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2011-11-27 16:55:11 +0000
+++ bzrlib/branch.py	2011-11-27 17:50:41 +0000
@@ -2830,7 +2830,7 @@
         if self._ignore_fallbacks:
             return
         if possible_transports is None:
-            possible_transports = [self.bzrdir.control_transport]
+            possible_transports = [self.bzrdir.root_transport]
         try:
             url = self.get_stacked_on_url()
         except (errors.UnstackableRepositoryFormat, errors.NotStacked,

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2011-11-27 16:55:11 +0000
+++ bzrlib/builtins.py	2011-11-27 17:50:41 +0000
@@ -1352,7 +1352,7 @@
                                             source_branch=br_from)
                 branch = to_dir.open_branch(
                     possible_transports=[
-                        br_from.control_transport, to_transport])
+                        br_from.bzrdir.root_transport, to_transport])
             except errors.NoSuchRevision:
                 to_transport.delete_tree('.')
                 msg = gettext("The branch {0} has no revision {1}.").format(

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-11-27 16:55:11 +0000
+++ bzrlib/bzrdir.py	2011-11-27 17:50:41 +0000
@@ -374,7 +374,7 @@
             possible_transports = []
         else:
             possible_transports = list(possible_transports) + [
-                self.control_transport]
+                self.root_transport]
         target_transport = _mod_transport.get_transport(url,
             possible_transports)
         target_transport.ensure_base()

=== modified file 'bzrlib/remote.py'
--- bzrlib/remote.py	2011-11-27 17:34:50 +0000
+++ bzrlib/remote.py	2011-11-27 17:50:41 +0000
@@ -2861,7 +2861,7 @@
             return
         self._is_stacked = True
         self._activate_fallback_location(fallback_url,
-            possible_transports=[self.control_transport])
+            possible_transports=[self.bzrdir.root_transport])
 
     def _get_config(self):
         return RemoteBranchConfig(self)

